Skip to content

Get bookingorders

GET
/v1/bookingorders/list

Gets a list with bookingorders without much nesting.

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
reservation_id
Type
string
Examplenull
booking_id
Type
string
Examplenull
query
Type
string
Examplenull
booking_email
Type
string
Examplenull
compare_mode

compare mode AND / OR

Type
string
Example"AND"
ticket_id
Type
string
Examplenull
event_id
Type
string
Examplenull
event_startdate

Filter bookingorders on their event startdate

Type
string
Example"2025-01-01"
event_stopdate

Filter bookingorders on their event stopdate

Type
string
Example"2025-01-02"
created
Type
string
Examplenull
api_booking
Type
boolean
Exampletrue
guestdata_status

Enum: waitingfordistributor, waitingforprocessing, completed, waitingforendcustomer, notapplicable, waitingtosendtosupplier

Type
string
Example"completed"
booking_code
Type
string
Examplenull
sport_type

Filter bookingorders by sport type

Type
string
Example"soccer"
tournament_id

Filter bookingorders by tournament

Type
string
Example"abc123_trn"
logistic_status

Enum: processing, cancelled, postponed, completed, waitforactivation, administrative, returned, review, blocked, pendingticketupload

Type
string
Example"processing"
mass_booking

Filter bookingorders by mass booking status

Type
boolean
Examplefalse

Responses

OK

application/json
JSON
{
  
"bookingorders": [
  
  
{
  
  
  
"booking_id": "1b97adfc8a3a4fe4ad13b58f40372cca_bkn",
  
  
  
"bookingorder_id": "3fa6eb7f123a4f5ab2c9d8e7a6b7c9d0_bor",
  
  
  
"event_id": "dd82ecd6931749819942c4aff9dd23cb_evt",
  
  
  
"created": "2025-04-20T12:00:00",
  
  
  
"distributor_id": "b05f667dcaa843bd8c171c522217eb81_dst",
  
  
  
"accepted_gt": true,
  
  
  
"marketing_optin": false,
  
  
  
"mass_booking_allowed": true,
  
  
  
"api_booking": true,
  
  
  
"offline_booking": false,
  
  
  
"booking_code": "CODE123",
  
  
  
"zip_sha": null,
  
  
  
"guestdata_status": "waitingfordistributor",
  
  
  
"max_pdfs_per_ticket": 5,
  
  
  
"distributorfinancial_status": "paid",
  
  
  
"logistic_status": "processing",
  
  
  
"event_name": "Concert X",
  
  
  
"payment_method": "card",
  
  
  
"payment_reference": "8c4a2b9d123e4f5a876c5d4e3f2b1a09_pay",
  
  
  
"booking_reference": "9d8c7b6a5f4e3d2c1b0a9f8e7d6c5b4a_ref",
  
  
  
"parent_id": "1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d_bkn",
  
  
  
"client_id": "5edec2b99b1b4c449a8ca2b1d6e4723e_cli",
  
  
  
"booking_email": "user@example.com",
  
  
  
"notify_client_status": "completed",
  
  
  
"invoices": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"bookingorder_source": "na",
  
  
  
"is_test_booking": false,
  
  
  
"marketplace_logistic_purchaseorder_id": "abc123def456_po",
  
  
  
"lead_name_for_pickup": "John Doe",
  
  
  
"items": [
  
  
  
  
{
  
  
  
  
  
"quantity": 2,
  
  
  
  
  
"ticket_id": "a5cf8e7b39c14aeba4de30a8f67b9e23_tck",
  
  
  
  
  
"ticket_name": "VIP Ticket",
  
  
  
  
  
"type_ticket": "eticket",
  
  
  
  
  
"ticket_status": "completed"
  
  
  
  
}
  
  
  
],
  
  
  
"event_startdate": "2025-01-01",
  
  
  
"event_stopdate": "2025-01-02",
  
  
  
"booking_group": "Group A",
  
  
  
"supplier_id": "7acfed7b0d874c5e870b531e5a4f0e43_spp",
  
  
  
"deleted": null,
  
  
  
"external_payment_reference": "ext_123",
  
  
  
"financial_status": "topurchase",
  
  
  
"general_terms_url": "https://.../terms.pdf",
  
  
  
"onbehalfclient_id": "a1b2c3d4e5f67890123456789abcdef0_cli"
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples